
import { ref } from 'vue'
export default () => {
    const spining = ref(false) // 直接使用基本类型ref

    const showSpining = () => {
        spining.value = true
    }
    
    const hideSpining = () => {
        spining.value = false
    }

    return {
        spining, // 直接暴露ref
        showSpining,
        hideSpining
    }
}
